#include "xgputexturesizestack.h"

XGpuTextureSizeStack::XGpuTextureSizeStack()
    : XAsset()
    , mWidth(0)
    , mHeight(0)
    , mDepth(0)
{
    SetName("GPU Texture Size Stack");
}

void XGpuTextureSizeStack::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGpuTextureSizeStack::ParseData
}

void XGpuTextureSizeStack::Clear()
{
    
}
